
/* a player won't give his name */
#define DEFAULT_NAME "Inconnu"

/* upper headers of the yahtzee table (not too long! test w/ 6 players */
#define HEADER_A  "(a) 1 [total of 1s]"
#define HEADER_B  "(b) 2 [total of 2s]"
#define HEADER_C  "(c) 3 [total of 3s]"
#define HEADER_D  "(d) 4 [total of 4s]"
#define HEADER_E  "(e) 5 [total of 5s]"
#define HEADER_F  "(f) 6 [total of 6s]"

/* lower headers of the yahtzee table (not too long! test w/ 6 players */
#define HEADER_G   "(g) 3 of a Kind [total]"
#define HEADER_H   "(h) 4 of a Kind [total]"
#define HEADER_I   "(i) Full House [25]"
#define HEADER_J   "(j) Small Straight [30]"
#define HEADER_K   "(k) Long Straight [40]"
#define HEADER_L   "(l) Yahtzee [50]"
#define HEADER_M   "(m) Chance [total]"

/* terminal too small */
#define TERMINAL_TOO_SMALL "Not enough lines in this terminal"
#define YAHTZEE_HEADER "Yahtzee  1.01 (c)1992 zorst, (c)1997 sbi"

/* bad position selected */
#define BAD_POSITION "Bad position"

/* bad die number number selected */
#define BAD_DIE_NUMBER "Bad die number"

/* stats in the end of a session */
#define STAT_HEADER "During this session, there have beeen:\n"
#define STAT_DIE    "\t%d dice of value %d (%2.1f %c) rolled,\n"
#define STAT_FOOTER "for a grand total of %d dice.\n"

/* various messages */
#define UPPER_TOTAL " Upper total"
#define BONUS       "Bonus"
#define LOWER_TOTAL " Lower total"
#define GRAND_TOTAL " Grand total"
#define I_M_ROLLING_DICE_FOR_PLAYER "I am rolling dice for %s"
#define WHAT_DICE_TO_ROLL_AGAIN \
        "%d/%d What dice to roll again ([0.9?], [1-5])? "
#define WHERE_TO_PUT_THAT "Where do you want to put that [a-m?]? "
#define BAD_CHOICE_POSITION \
        "Bad choice! Where do you want to put that [a-m?]? "
#define USED_POSITION \
        "Already used! Where do you want to put that [a-m?]? "
#define SCRATCH_YAHTZEE \
        "Already used (eh eh)! Where do you want to put that [a-m?]? "
#define WAITING_FOR_LOCK \
        "Waiting for lock of score file... (%d)"
#define CAN_T_UPDATE_SCORE_FILE \
        "Can't update score file."
#define RENAMING_FAILED "The renaming of the file has failed!"
#define WORST_SCORES_STANDARD_YAHTZEE \
        "Worst scores for standard Yahtzee (%d rolls)"
#define WORST_SCORES_GENERIC_YAHTZEE \
        "Worst scores for Yahtzee with %d rolls"
#define CAN_T_FIND_SCORE_FILE \
        "Can't find score file.\n"
#define PRESS_ENTER "<Press Enter>"
#define BEST_SCORES_STANDARD_YAHTZEE\
        "Best scores for standard Yahtzee (%d rolls)"
#define BEST_SCORES_GENERIC_YAHTZEE \
        "Best scores for Yahtzee with %d rolls"
#define HOW_MANY_RANDOM_ROLLS \
        "How many times do you want to roll the dice?"
#define RANDOM_RESULT  "Results:"
#define RANDOM_TRIES   "Tries:"
#define RANDOM_TOTAL   "Total"
#define COMPUTER_NAME  "Mr. %c"

#define HELP_HEADER \
   "use: %s [-h] [-s] [-d] [ [-p<nom>] [-c<nbr>] ] [-l<nbr>] [-r]\n"
#define HELP_H_FLAG "\t-h\tprint this help message\n"
#define HELP_S_FLAG "\t-s\tshow the best scores\n"
#define HELP_P_FLAG "\t-p<name>\tintroduce a human player\n"
#define HELP_C_FLAG "\t-c<nbr>\tintroduce automatic players\n"
#define HELP_L_FLAG \
  "\t-l<nbr>\tset the number of rolls (from %d to %d ; default %d)\n"
#define HELP_R_FLAG \
  "\t-r\tthrows random rolls (to debug)\n"
#define WELCOME_TO_YAHTZEE "\n\nWelcome to the game of yahtzee...\n\n"
#define HOW_MANY_HUMANS_PLAY "How many people are playing (maximum %d)? "
#define WHAT_IS_NAME_OF_PLAYER "What is the name of player #%d? "
#define COMPLAIN_CAN_T_PLAY "Boo hoo... I can't play...\n"
#define HOW_MANY_COMPUTERS_PLAY "How many computers are playing (maximum %d)? "
#define WHY_DID_YOU_RUN_THIS_THEN "Why did you run this then?\n\n"



